/********************************************
 * UTIA AV CR, v.v.i
 * Signal Processing Department
 * Pod Vodarenskou vezi 4
 * 182 08 Prague
 * Czech Republic
 * web: http://zs.utia.cas.cz
 * contact: sp@utia.cz
 *
 * Filename: fmc_imageon_iic.h
 * Date: 02.12.2013
 * Author: Lukas Kohout <kohoutl@utia.cas.cz>
 * Description:
 *    Functions to access ADV7611 chip (IMAGEON HDMI input)
 *
 * Changelog:
 *
 *
 *
 *
 ********************************************/

#ifndef _FMC_IMAGEON_IIC_HEADER_FILE_
#define _FMC_IMAGEON_IIC_HEADER_FILE_

#include "xparameters.h"

// #include "fmc_imageon_iic.h"
#include "fmc_iic.h"


#define ADV7611_REG_VS_INF_PB_0_28    0x6f


#define ADV7611_CABLE_DET_A_RAW       0x01    //ADV7611_REG_VS_INF_PB_0_28[0]



// int fmc_iic_read_reg(fmc_iic_t *pIIC);
// int fmc_iic_write_reg_readback(fmc_iic_t *pIIC);
// void fmc_iic_read_regs(fmc_iic_t *pIIC);

int fmc_imageon_hdmii_cable_detect(fmc_imageon_t *pInstance);

#endif /* _FMC_IMAGEON_IIC_HEADER_FILE_ */
